al_play_haptic_effect(3)

NAME

al_play_haptic_effect - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_play_haptic_effect(ALLEGRO_HAPTIC_EFFECT_ID *id, int loop)

DESCRIPTION

Plays back a previously uploaded haptic effect. The play_id must be a valid ALLEGRO_HAPTIC_EFFECT_ID(3) obtained from al_upload_haptic_effect(3), al_upload_and_play_haptic_effect(3) or al_rumble_haptic(3).

The haptic effect will be played back loop times in sequence. If loop is less than or equal to 1, then the effect will be played once only.

This function returns immediately and doesn't wait for the playback to finish. It returns true if the playback was started successfully or false if not.

SINCE

5.1.8

    [Unstable API]: Perhaps could be simplified due to limited support for all the exposed features across all of the platforms. Awaiting feedback from users.